Debian Bug report logs - #412404
iceweasel: No blank homepage on startup.

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Philipp Weis <pweis@pweis.com>

Date: Sun, 25 Feb 2007 21:45:01 UTC

Severity: normal

Merged with 412344, 412418, 412585, 412711, 412746, 412876

Found in versions iceweasel/2.0.0.1+dfsg-2, iceweasel/2.0.0.2+dfsg-1

Fixed in version iceweasel/2.0.0.2+dfsg-2

Done: Eric Dorland <eric@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#412404; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Philipp Weis <pweis@pweis.com>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Weis <pweis@pweis.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: No blank homepage on startup.
Date: Sun, 25 Feb 2007 16:41:21 -0500
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 2.0.0.2+dfsg-1
Severity: normal

I just upgraded to 2.0.0.2+dfsg-1, and now everytime I start firefox
the URL http://www.mozilla.com/en-US/firefox/ is loaded. This happens
no matter whether I choose "Blank homepage", "Homepage" set to
"about:blank" or to some other site under Preferences>Main>Startup.

Philipp


-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (600, 'unstable'), (570, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages iceweasel depends on:
ii  debianutils               2.17.5         Miscellaneous utilities specific t
ii  fontconfig                2.4.2-1.2      generic font configuration library
ii  libatk1.0-0               1.12.4-2       The ATK accessibility toolkit
ii  libc6                     2.5-0exp3      GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics libra
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libfreetype6              2.2.1-5        FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libglib2.0-0              2.12.6-2       The GLib library of C routines
ii  libgtk2.0-0               2.8.20-5       The GTK+ graphical user interface 
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libmyspell3c2             1:3.1-18       MySpell spellchecking library
ii  libpango1.0-0             1.14.8-5       Layout and rendering of internatio
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libx11-6                  2:1.0.3-5      X11 client-side library
ii  libxft2                   2.1.8.2-8      FreeType-based font drawing librar
ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
ii  libxp6                    1:1.0.0.xsf1-1 X Printing Extension (Xprint) clie
ii  libxrender1               1:0.9.1-3      X Rendering Extension client libra
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  psmisc                    22.3-1         Utilities that use the proc filesy
ii  zlib1g                    1:1.2.3-13     compression library - runtime

iceweasel recommends no packages.

-- no debconf information

-- 
Philipp Weis          pweis@pweis.com
[signature.asc (application/pgp-signature, inline)]

Merged 412404 412418. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 412344 412404 412418. Request was from Eric Dorland <eric@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 412344 412404 412418 412585. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 412344 412404 412418 412585 412746. Request was from Tim Gokcen <hexetic@planetcnc.com> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 412344 412404 412418 412585 412711 412746. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 412344 412404 412418 412585 412711 412746 412876. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 412344 412404 412418 412585 412711 412746 412876. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#412404; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to S Shore <pleine.vitesse@gmail.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #26 received at 412404@bugs.debian.org (full text, mbox):

From: S Shore <pleine.vitesse@gmail.com>
To: Debian Bug Tracking System <412404@bugs.debian.org>
Subject: iceweasel: No blank homepage on startup - further troubleshooting
Date: Wed, 28 Feb 2007 18:21:01 -0600
Package: iceweasel
Version: 2.0.0.2+dfsg-1
Followup-For: Bug #412404


Iceweasel does not honor "Show a blank page" option at startup after
recent upgrade, instead shows url http://www.mozilla.com/en-US/firefox/
on every start.

Setting to "Show my home page", and setting homepage to "about:blank"
has same effect.

Setting to "Show my home page", and setting homepage to
"http://www.slashdot.org" also shows above url instead.

Moved .mozilla directory out of the way and restarted, problem persists.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages iceweasel depends on:
ii  debianutils               2.17.5         Miscellaneous utilities specific t
ii  fontconfig                2.4.2-1.2      generic font configuration library
ii  libatk1.0-0               1.12.4-2       The ATK accessibility toolkit
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics libra
ii  libfontconfig1            2.4.2-1.2      generic font configuration library
ii  libfreetype6              2.2.1-5        FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libglib2.0-0              2.12.6-2       The GLib library of C routines
ii  libgtk2.0-0               2.8.20-5       The GTK+ graphical user interface 
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libmyspell3c2             1:3.1-18       MySpell spellchecking library
ii  libpango1.0-0             1.14.8-5       Layout and rendering of internatio
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libx11-6                  2:1.0.3-5      X11 client-side library
ii  libxft2                   2.1.8.2-8      FreeType-based font drawing librar
ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
ii  libxp6                    1:1.0.0.xsf1-1 X Printing Extension (Xprint) clie
ii  libxrender1               1:0.9.1-3      X Rendering Extension client libra
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  psmisc                    22.3-1         Utilities that use the proc filesy
ii  zlib1g                    1:1.2.3-13     compression library - runtime

iceweasel recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#412404; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to "Sameer D. Sahasrabuddhe" <sameerds@it.iitb.ac.in>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #31 received at 412404@bugs.debian.org (full text, mbox):

From: "Sameer D. Sahasrabuddhe" <sameerds@it.iitb.ac.in>
To: Debian Bug Tracking System <412404@bugs.debian.org>
Subject: iceweasel tries to load "http://firefox" on every new window
Date: Thu, 01 Mar 2007 14:02:31 +0530
Package: iceweasel
Version: 2.0.0.2+dfsg-1
Followup-For: Bug #412404

I just upgraded iceweasel. Now every new window tries to load
"http://firefox" ... this is unlike the current bug report, but I
suppose the problem is the same. New tabs are not affected.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages iceweasel depends on:
ii  debianutils               2.17.5         Miscellaneous utilities specific t
ii  fontconfig                2.4.2-1        generic font configuration library
ii  libatk1.0-0               1.12.4-1       The ATK accessibility toolkit
ii  libc6                     2.3.6.ds1-10   GNU C Library: Shared libraries
ii  libcairo2                 1.2.4-4        The Cairo 2D vector graphics libra
ii  libfontconfig1            2.4.2-1        generic font configuration library
ii  libfreetype6              2.2.1-5        FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libglib2.0-0              2.12.6-2       The GLib library of C routines
ii  libgtk2.0-0               2.8.20-5       The GTK+ graphical user interface 
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libmyspell3c2             1:3.1-18       MySpell spellchecking library
ii  libpango1.0-0             1.14.8-5       Layout and rendering of internatio
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libx11-6                  2:1.0.3-4      X11 client-side library
ii  libxft2                   2.1.8.2-8      FreeType-based font drawing librar
ii  libxinerama1              1:1.0.1-4.1    X11 Xinerama extension library
ii  libxp6                    1:1.0.0.xsf1-1 X Printing Extension (Xprint) clie
ii  libxrender1               1:0.9.1-3      X Rendering Extension client libra
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  psmisc                    22.3-1         Utilities that use the proc filesy
ii  zlib1g                    1:1.2.3-13     compression library - runtime

iceweasel recommends no packages.

-- no debconf information



Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philipp Weis <pweis@pweis.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 412404-close@bugs.debian.org (full text, mbox):

From: Eric Dorland <eric@debian.org>
To: 412404-close@bugs.debian.org
Subject: Bug#412404: fixed in iceweasel 2.0.0.2+dfsg-2
Date: Fri, 02 Mar 2007 10:17:18 +0000
Source: iceweasel
Source-Version: 2.0.0.2+dfsg-2

We believe that the bug you reported is fixed in the latest version of
iceweasel, which is due to be installed in the Debian FTP archive:

firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
firefox_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/firefox_2.0.0.2+dfsg-2_all.deb
iceweasel-dbg_2.0.0.2+dfsg-2_i386.deb
  to pool/main/i/iceweasel/iceweasel-dbg_2.0.0.2+dfsg-2_i386.deb
iceweasel-dom-inspector_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/iceweasel-dom-inspector_2.0.0.2+dfsg-2_all.deb
iceweasel-gnome-support_2.0.0.2+dfsg-2_i386.deb
  to pool/main/i/iceweasel/iceweasel-gnome-support_2.0.0.2+dfsg-2_i386.deb
iceweasel_2.0.0.2+dfsg-2.diff.gz
  to pool/main/i/iceweasel/iceweasel_2.0.0.2+dfsg-2.diff.gz
iceweasel_2.0.0.2+dfsg-2.dsc
  to pool/main/i/iceweasel/iceweasel_2.0.0.2+dfsg-2.dsc
iceweasel_2.0.0.2+dfsg-2_i386.deb
  to pool/main/i/iceweasel/iceweasel_2.0.0.2+dfsg-2_i386.deb
mozilla-firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/mozilla-firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
mozilla-firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/mozilla-firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
mozilla-firefox_2.0.0.2+dfsg-2_all.deb
  to pool/main/i/iceweasel/mozilla-firefox_2.0.0.2+dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 412404@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eric Dorland <eric@debian.org> (supplier of updated iceweasel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  2 Mar 2007 03:36:58 -0500
Source: iceweasel
Binary: firefox-dom-inspector mozilla-firefox iceweasel-gnome-support iceweasel mozilla-firefox-dom-inspector iceweasel-dbg firefox-gnome-support iceweasel-dom-inspector mozilla-firefox-gnome-support firefox
Architecture: source all i386
Version: 2.0.0.2+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Eric Dorland <eric@debian.org>
Changed-By: Eric Dorland <eric@debian.org>
Description: 
 firefox    - Transition package for iceweasel rename
 firefox-dom-inspector - Transition package for iceweasel rename
 firefox-gnome-support - Transition package for iceweasel rename
 iceweasel  - lightweight web browser based on Mozilla
 iceweasel-dbg - debugging symbols for iceweasel
 iceweasel-dom-inspector - tool for inspecting the DOM of pages in Iceweasel
 iceweasel-gnome-support - Support for Gnome in Iceweasel
 mozilla-firefox - Transition package for iceweasel rename
 mozilla-firefox-dom-inspector - Transition package for iceweasel rename
 mozilla-firefox-gnome-support - Transition package for iceweasel rename
Closes: 412344 412404 412418 412475 412585 412711 412746 412876
Changes: 
 iceweasel (2.0.0.2+dfsg-2) unstable; urgency=low
 .
   [ Mike Hommey ]
   * debian/iceweasel-runner: Use of a dummy argument is useless now set -- is
     being used. Plus, it avoids an ill side effect of now using set --.
     (Closes: #412344, #412404, #412418, #412585, #412711, #412746, #412876)
 .
   [ Eric Dorland ]
   * debian/iceweasel-runner:
     - Patch from Sam Pennyto fix firefox reference. Clean up wording a
       bit too. (Closes: #412475)
     - Don't lose $prev in some cases. Thanks Loic Grenie.
Files: 
 d02fd54114011e8b98923af8c89b5cf6 1188 web optional iceweasel_2.0.0.2+dfsg-2.dsc
 30e7b78375ab4ec916147b83597898fa 271859 web optional iceweasel_2.0.0.2+dfsg-2.diff.gz
 d091a09a3519cc4bdb2a5494042a3f49 232838 web optional iceweasel-dom-inspector_2.0.0.2+dfsg-2_all.deb
 2492c09edd47bec02aa80f997c4bfe68 52158 web optional mozilla-firefox_2.0.0.2+dfsg-2_all.deb
 f5b808254e3f1014972fb55fcf8c316c 51360 web optional mozilla-firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
 18b3404e53794eae34c90a87fd445ee1 51358 gnome optional mozilla-firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
 16aed3120e514690999b31350c74a37b 51626 web optional firefox_2.0.0.2+dfsg-2_all.deb
 e5cf02263de653c9c2420d682b7fa4b9 51508 web optional firefox-dom-inspector_2.0.0.2+dfsg-2_all.deb
 f2595bbbf6ba07cc2eec444f851d3d37 51478 gnome optional firefox-gnome-support_2.0.0.2+dfsg-2_all.deb
 3f33d13e223a68c3fa2ae5c92fd79a89 8989604 web optional iceweasel_2.0.0.2+dfsg-2_i386.deb
 b112e03249f0bfd89065655678136f14 79078 gnome optional iceweasel-gnome-support_2.0.0.2+dfsg-2_i386.deb
 360b0ee0a2baed13d1c7205e7950922d 49301538 devel extra iceweasel-dbg_2.0.0.2+dfsg-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF5/NuYemOzxbZcMYRAhEZAJ4hhvmzZ333n//UG4EiCkoIcaURWgCfSCxE
o8wec4fi48kkfOJNlATENMY=
=p8lZ
-----END PGP SIGNATURE-----




Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jonny <jonny@csc.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to patrick.matthaei@web.de:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to randhol <randhol+bugs@pvv.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wim De Smet <wdesmet@yucom.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to carlos@fisica.ufpr.br (Carlos Carvalho):
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Eric Dorland <eric@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to salman <namlas@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 10:32:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:50:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.